# NOTE we have to first updade xcb-proto pkg before this one!!!

%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

Name: libxcb
Summary: X protocol C-language Binding Library
Version: 1.16.1
Release: %mkrel 1
Group: System/X11
License: MIT
URL: https://xcb.freedesktop.org
Source0: https://xcb.freedesktop.org/dist/libxcb-%{version}.tar.xz

BuildRequires:  pkgconfig(xcb-proto) >= 1.16

BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: libpthread-stubs
BuildRequires: libxslt-proc
BuildRequires: pkgconfig(xdmcp)
BuildRequires: pkgconfig(xau)
BuildRequires: python3-devel
%if !%bootstrap
BuildRequires: doxygen
BuildRequires: graphviz
%endif

%description
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

%define major 1
%define libxcb %mklibname xcb %{major}
%define libdev %mklibname xcb -d

%define compositemajor 0
%define damagemajor 0
%define dbemajor 0
%define dpmsmajor 0
%define dri2major 0
%define dri3major 0
%define glxmajor 0
%define presentmajor 0
%define randrmajor 0
%define recordmajor 0
%define rendermajor 0
%define resmajor 0
%define screensavermajor 0
%define shapemajor 0
%define shmmajor 0
%define syncmajor 1
%define xf86drimajor 0
%define xfixesmajor 0
%define xineramamajor 0
%define xinputmajor 0
%define xkbmajor 1
%define xtestmajor 0
%define xvmajor 0
%define xvmcmajor 0

%define libxcb_composite   %mklibname xcb-composite   %{compositemajor}
%define libxcb_damage      %mklibname xcb-damage      %{damagemajor}
%define libxcb_dbe         %mklibname xcb-dbe         %{dbemajor}
%define libxcb_dpms        %mklibname xcb-dpms        %{dpmsmajor}
%define libxcb_dri2        %mklibname xcb-dri2_       %{dri2major}
%define libxcb_dri3        %mklibname xcb-dri3_       %{dri3major}
%define libxcb_glx         %mklibname xcb-glx         %{glxmajor}
%define libxcb_present     %mklibname xcb-present     %{presentmajor}
%define libxcb_randr       %mklibname xcb-randr       %{randrmajor}
%define libxcb_record      %mklibname xcb-record      %{recordmajor}
%define libxcb_render      %mklibname xcb-render      %{rendermajor}
%define libxcb_res         %mklibname xcb-res         %{resmajor}
%define libxcb_screensaver %mklibname xcb-screensaver %{screensavermajor}
%define libxcb_shape       %mklibname xcb-shape       %{shapemajor}
%define libxcb_shm         %mklibname xcb-shm         %{shmmajor}
%define libxcb_sync        %mklibname xcb-sync        %{syncmajor}
%define libxcb_xf86dri     %mklibname xcb-xf86dri     %{xf86drimajor}
%define libxcb_xfixes      %mklibname xcb-xfixes      %{xfixesmajor}
%define libxcb_xinerama    %mklibname xcb-xinerama    %{xineramamajor}
%define libxcb_xinput      %mklibname xcb-xinput      %{xinputmajor}
%define libxcb_xkb         %mklibname xcb-xkb         %{xkbmajor}
%define libxcb_xtest       %mklibname xcb-xtest       %{xtestmajor}
%define libxcb_xv          %mklibname xcb-xv          %{xvmajor}
%define libxcb_xvmc        %mklibname xcb-xvmc        %{xvmcmajor}
# Need obsoletes
%define libxcb_util1       %mklibname xcb-util        1
%define libxcb_randr1      %mklibname xcb-randr       1

#-----------------------------------------------------------

%package -n %{libxcb}
Summary: X protocol C-language Binding Library
Group: System/X11
Provides: %{name} = %{version}

%description -n %{libxcb}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

%files -n %{libxcb}
%{_libdir}/libxcb.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{libdev}
Summary: Development files for %{name}
Group: Development/X11
Requires: x11-proto-devel >= 1.2.0
Provides: xcb-devel = %{version}-%{release}
Provides: libxcb-devel = %{version}-%{release}

Requires: %{libxcb} = %{version}
Requires: %{libxcb_composite} = %{version}
Requires: %{libxcb_damage} = %{version}
Requires: %{libxcb_dbe} = %{version}
Requires: %{libxcb_dpms} = %{version}
Requires: %{libxcb_dri2} = %{version}
Requires: %{libxcb_dri3} = %{version}
Requires: %{libxcb_glx} = %{version}
Requires: %{libxcb_present} = %{version}
Requires: %{libxcb_randr} = %{version}
Requires: %{libxcb_record} = %{version}
Requires: %{libxcb_render} = %{version}
Requires: %{libxcb_res} = %{version}
Requires: %{libxcb_screensaver} = %{version}
Requires: %{libxcb_shape} = %{version}
Requires: %{libxcb_shm} = %{version}
Requires: %{libxcb_sync} = %{version}
Requires: %{libxcb_xkb} = %{version}
Requires: %{libxcb_xf86dri} = %{version}
Requires: %{libxcb_xfixes} = %{version}
Requires: %{libxcb_xinerama} = %{version}
Requires: %{libxcb_xinput} = %{version}
Requires: %{libxcb_xtest} = %{version}
Requires: %{libxcb_xv} = %{version}
Requires: %{libxcb_xvmc} = %{version}

# gw this isn't picked up by the automatic pkgconfig deps, but without it,
# pkg-config --libs xcb will fail
Requires: libpthread-stubs

%description -n %{libdev}
Development files for %{name}.

%files -n %{libdev}
%dir %{_includedir}/xcb
%{_includedir}/xcb/*.h
%{_libdir}/libxcb*.so
%{_libdir}/pkgconfig/xcb*.pc
%{_mandir}/*/*

#-----------------------------------------------------------

%package doc
Summary: Documentation for %{name}
Group: Development/X11

%description doc
Documentation for %{name}.

%files doc
%{_docdir}/libxcb

#-----------------------------------------------------------

%package -n %{libxcb_composite}
Summary: X protocol C-language Binding Library (composite extension)
Group: System/X11

%description -n %{libxcb_composite}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the composite extension.

%files -n %{libxcb_composite}
%{_libdir}/libxcb-composite.so.%{compositemajor}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_damage}
Summary: X protocol C-language Binding Library (damage extension)
Group: System/X11

%description -n %{libxcb_damage}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the damage extension.

%files -n %{libxcb_damage}
%{_libdir}/libxcb-damage.so.%{damagemajor}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_dbe}
Summary: X protocol C-language Binding Library (dbe extension)
Group: System/X11

%description -n %{libxcb_dbe}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the dbe extension.

%files -n %{libxcb_dbe}
%{_libdir}/libxcb-dbe.so.%{dbemajor}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_dpms}
Summary: X protocol C-language Binding Library (dpms extension)
Group: System/X11

%description -n %{libxcb_dpms}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the dpms extension.

%files -n %{libxcb_dpms}
%{_libdir}/libxcb-dpms.so.%{dpmsmajor}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_dri2}
Summary: X protocol C-language Binding Library (dri2 extension)
Group: System/X11

%description -n %{libxcb_dri2}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the dri2 extension.

%files -n %{libxcb_dri2}
%{_libdir}/libxcb-dri2.so.%{dri2major}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_dri3}
Summary: X protocol C-language Binding Library (dri3 extension)
Group: System/X11

%description -n %{libxcb_dri3}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the dri3 extension.

%files -n %{libxcb_dri3}
%{_libdir}/libxcb-dri3.so.%{dri3major}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_glx}
Summary: X protocol C-language Binding Library (glx extension)
Group: System/X11

%description -n %{libxcb_glx}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the glx extension.

%files -n %{libxcb_glx}
%{_libdir}/libxcb-glx.so.%{glxmajor}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_present}
Summary: X protocol C-language Binding Library (present extension)
Group: System/X11

%description -n %{libxcb_present}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the present extension.

%files -n %{libxcb_present}
%{_libdir}/libxcb-present.so.%{presentmajor}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_randr}
Summary: X protocol C-language Binding Library (randr extension)
Group: System/X11

%description -n %{libxcb_randr}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the randr extension.

%files -n %{libxcb_randr}
%{_libdir}/libxcb-randr.so.%{randrmajor}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_record}
Summary: X protocol C-language Binding Library (record extension)
Group: System/X11

%description -n %{libxcb_record}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the record extension.

%files -n %{libxcb_record}
%{_libdir}/libxcb-record.so.%{recordmajor}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_render}
Summary: X protocol C-language Binding Library (render extension)
Group: System/X11

%description -n %{libxcb_render}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the render extension.

%files -n %{libxcb_render}
%{_libdir}/libxcb-render.so.%{rendermajor}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_res}
Summary: X protocol C-language Binding Library (res extension)
Group: System/X11

%description -n %{libxcb_res}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the res extension.

%files -n %{libxcb_res}
%{_libdir}/libxcb-res.so.%{resmajor}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_screensaver}
Summary: X protocol C-language Binding Library (screensaver extension)
Group: System/X11

%description -n %{libxcb_screensaver}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the screensaver extension.

%files -n %{libxcb_screensaver}
%{_libdir}/libxcb-screensaver.so.%{screensavermajor}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_shape}
Summary: X protocol C-language Binding Library (shape extension)
Group: System/X11

%description -n %{libxcb_shape}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the shape extension.

%files -n %{libxcb_shape}
%{_libdir}/libxcb-shape.so.%{shapemajor}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_shm}
Summary: X protocol C-language Binding Library (shm extension)
Group: System/X11

%description -n %{libxcb_shm}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the shm extension.

%files -n %{libxcb_shm}
%{_libdir}/libxcb-shm.so.%{shmmajor}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_sync}
Summary: X protocol C-language Binding Library (sync extension)
Group: System/X11

%description -n %{libxcb_sync}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the sync extension.

%files -n %{libxcb_sync}
%{_libdir}/libxcb-sync.so.%{syncmajor}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_xf86dri}
Summary: X protocol C-language Binding Library (xf86dri extension)
Group: System/X11

%description -n %{libxcb_xf86dri}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the xf86dri extension.

%files -n %{libxcb_xf86dri}
%{_libdir}/libxcb-xf86dri.so.%{xf86drimajor}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_xfixes}
Summary: X protocol C-language Binding Library (xfixes extension)
Group: System/X11

%description -n %{libxcb_xfixes}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the xfixes extension.

%files -n %{libxcb_xfixes}
%{_libdir}/libxcb-xfixes.so.%{xfixesmajor}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_xinerama}
Summary: X protocol C-language Binding Library (xinerama extension)
Group: System/X11

%description -n %{libxcb_xinerama}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the xinerama extension.

%files -n %{libxcb_xinerama}
%{_libdir}/libxcb-xinerama.so.%{xineramamajor}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_xinput}
Summary: X protocol C-language Binding Library (xinput extension)
Group: System/X11

%description -n %{libxcb_xinput}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the xinput extension.

%files -n %{libxcb_xinput}
%{_libdir}/libxcb-xinput.so.%{xinputmajor}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_xkb}
Summary: X protocol C-language Binding Library (xkb extension)
Group: System/X11

%description -n %{libxcb_xkb}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the xkb extension.

%files -n %{libxcb_xkb}
%{_libdir}/libxcb-xkb.so.%{xkbmajor}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_xtest}
Summary: X protocol C-language Binding Library (xtest extension)
Group: System/X11

%description -n %{libxcb_xtest}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the xtest extension.

%files -n %{libxcb_xtest}
%{_libdir}/libxcb-xtest.so.%{xtestmajor}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_xv}
Summary: X protocol C-language Binding Library (xv extension)
Group: System/X11

%description -n %{libxcb_xv}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the xv extension.

%files -n %{libxcb_xv}
%{_libdir}/libxcb-xv.so.%{xvmajor}{,.*}

#-----------------------------------------------------------

%package -n %{libxcb_xvmc}
Summary: X protocol C-language Binding Library (xvmc extension)
Group: System/X11

%description -n %{libxcb_xvmc}
the X protocol C-language Binding (XCB) is a replacement for Xlib  featuring
a small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

This package provides bindings for the xvmc extension.

%files -n %{libxcb_xvmc}
%{_libdir}/libxcb-xvmc.so.%{xvmcmajor}{,.*}

#-----------------------------------------------------------


%prep
%setup -q
%autosetup -p1

%build
%configure --disable-static

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete


%changelog
* Tue Apr 02 2024 tv <tv> 1.16.1-1.mga10
+ Revision: 2053953
- 1.16.1
+ daviddavid <daviddavid>
- add a note for packagers about xcb-proto update

* Tue Oct 17 2023 daviddavid <daviddavid> 1.16-1.mga10
+ Revision: 1998211
- new version: 1.16

* Thu May 04 2023 daviddavid <daviddavid> 1.15-2.mga9
+ Revision: 1955794
- fix owner of main include dir

* Wed Nov 02 2022 luigiwalser <luigiwalser> 1.15-1.mga9
+ Revision: 1901786
- 1.15

* Sat Mar 19 2022 umeabot <umeabot> 1.14-2.mga9
+ Revision: 1799750
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Wed Mar 04 2020 tv <tv> 1.14-1.mga8
+ Revision: 1553629
- 1.14

* Sun Feb 16 2020 umeabot <umeabot> 1.13.1-3.mga8
+ Revision: 1534959
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Oct 07 2019 daviddavid <daviddavid> 1.13.1-2.mga8
+ Revision: 1450451
- drop unneeded python2 build dependency
- drop static libraries

* Fri Dec 28 2018 luigiwalser <luigiwalser> 1.13.1-1.mga7
+ Revision: 1345816
- 1.13.1

* Sun Sep 23 2018 umeabot <umeabot> 1.13-2.mga7
+ Revision: 1299236
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 tv <tv> 1.13-1.mga7
+ Revision: 1207691
- introduce new libxcb_xinput subpkg
- BR pkgconfig(xcb-proto) instead of x11-proto-devel
- new release

* Sun Jul 03 2016 wally <wally> 1.12-2.mga7
+ Revision: 1038398
- fix xcb-present lib pkg name

* Thu May 26 2016 luigiwalser <luigiwalser> 1.12-1.mga6
+ Revision: 1018572
- xcb-xprint is no more
- xcb-xevie is no more
- 1.12

* Fri Feb 12 2016 umeabot <umeabot> 1.11.1-2.mga6
+ Revision: 955999
- Mageia 6 Mass Rebuild

* Tue Sep 22 2015 blino <blino> 1.11.1-1.mga6
+ Revision: 882293
- 1.11.1
- drop upstream patches

* Fri Aug 21 2015 tmb <tmb> 1.11-5.mga6
+ Revision: 867774
- rebuild for new gcc

* Tue Jul 14 2015 neoclust <neoclust> 1.11-4.mga6
+ Revision: 853850
- Add upstream patches fixing thread deadlocks fdo#84252 )

* Wed Oct 15 2014 umeabot <umeabot> 1.11-3.mga5
+ Revision: 739887
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.11-2.mga5
+ Revision: 681868
- Mageia 5 Mass Rebuild

* Mon Aug 04 2014 blino <blino> 1.11-1.mga5
+ Revision: 659703
- 1.11 (should fix hangs with DRI3: fdo#80963, fdo#81139, fdo#81623)

* Wed Feb 19 2014 tv <tv> 1.10-3.mga5
+ Revision: 594958
- make devel package require libxcb_xkb

* Sat Feb 08 2014 tv <tv> 1.10-2.mga5
+ Revision: 585826
- make devel require new libxcb subpackages

* Tue Feb 04 2014 tv <tv> 1.10-1.mga5
+ Revision: 582716
- add new sub packages
- bump sync major
- new release

* Sat Oct 19 2013 umeabot <umeabot> 1.9.1-2.mga4
+ Revision: 525543
- Mageia 4 Mass Rebuild

* Fri May 31 2013 tv <tv> 1.9.1-1.mga4
+ Revision: 433600
- new release
- new release

* Tue Apr 23 2013 tv <tv> 1.9-3.mga3
+ Revision: 410983
- fix upgrading (mga#9830)

* Sat Jan 12 2013 umeabot <umeabot> 1.9-2.mga3
+ Revision: 358514
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 tv <tv> 1.9-1.mga3
+ Revision: 323321
- adjust file list
- new release

* Sun Jun 03 2012 fwang <fwang> 1.8.1-2.mga3
+ Revision: 253717
- versioned obsoletes

* Fri Mar 09 2012 tv <tv> 1.8.1-1.mga2
+ Revision: 222316
- new release

* Wed Jan 18 2012 tv <tv> 1.8-1.mga2
+ Revision: 197918
- new release

* Mon Nov 21 2011 dmorgan <dmorgan> 1.7-3.mga2
+ Revision: 170209
- Remove .la files

* Wed Jul 06 2011 fwang <fwang> 1.7-2.mga2
+ Revision: 119313
- temporary workround for libxcb-util0
+ rtp <rtp>
- Add missing BR (before, libxau-devel was pull by x11-proto-devel)
- remove old ldconfig scripts
- add bootstrap (to allow building without doxygen & graphviz)
- imported package libxcb

